<?php
/**
 * Created by JetBrains PhpStorm.
 * User: robin
 * Date: 9/13/13
 * Time: 10:36 AM
 * To change this template use File | Settings | File Templates.
 */

namespace RobinB\ExtendedCacheProvider;
use Illuminate\Cache\CacheManager;
use Illuminate\Support\Manager;



class ExtendedCacheManager extends  \Illuminate\Cache\CacheManager{

    /**
     * Create an instance of the Memcached cache driver.
     *
     * @return \Illuminate\Cache\MemcachedStore
     */
    protected function createMemcacheDriver()
    {
        $servers = $this->app['config']['cache.memcached'];

        $memcache = $this->app['memcache.connector']->connect($servers);

        return $this->repository(new MemcacheStore($memcache, $this->getPrefix()));
    }

}